Bug 1019404 - [AMQP 1.0] testing for incorrect symbolic descriptor for value sections
[AMQP 1.0] testing for incorrect symbolic descriptor for value sections
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
Unspecified Unspecified
medium Severity unspecified
: 3.0
: ---
Assigned To: Gordon Sim
mick
: OtherQA
Depends On:
Blocks: 1010399
  Show dependency treegraph
 
Reported: 2013-10-15 12:09 EDT by Gordon Sim
Modified: 2015-01-21 07:57 EST (History)
6 users (show)

See Also:
Fixed In Version: qpid-cpp-0.22-20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-21 07:57:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-5236 None None None Never

  None (edit)
Description Gordon Sim 2013-10-15 12:09:21 EDT
Description of problem:

The decoding code in broker and client is using the wrong value to test against the symbolic descriptor of an AmqpValue section.

Version-Release number of selected component (if applicable):

qpid-0.24

How reproducible:

This is hard to test as there is no client that produces messages using symbolic descriptors (they use numeric descriptors). However the change is trivial and what's there is clearly wrong.
Comment 1 Gordon Sim 2013-10-15 12:10:23 EDT
Fixed upstream: https://svn.apache.org/r1532409
Comment 3 mick 2014-03-07 15:16:10 EST
I have a client that I believe is sending a message with an AMQP symbolic descriptor, and another client that can receive that message -- but it's not obvious that anything wrong is happening when I send this message through a broker with the old code in it.  

( It also works fine with the fixed code. )

I am marking this one as "special verification".

Note You need to log in before you can comment on or make changes to this bug.